extends Item

const POISON_EFFECT = preload("res://Effects/Poison.tscn")

func use(_target, target_enemy):
	Audio.play_sound("Glassy")
	Audio.play_sound("ItemUse")
	if target_enemy is Entity:
		var inst = POISON_EFFECT.instance()
		inst.set_timers(10, 1)
		inst.damage = 2
		target_enemy.add_effect(inst)
